%%%
%%% $Id: phd.cls,v 1.4 1996/12/20 06:41:17 mad Exp mad $
%%%
%%% 
%%% This is file `phd.cls',
%%%   based on `jarticle.cls'.
%%%
%%% Written by F. Yamaguchi Sep. 25, 1996
%%% Modified by MAEDA Atusi 1996-11-13
%%%
\NeedsTeXFormat{pLaTeX2e}
\ProvidesClass{phd}[1996/12/19 keio phd document]
\LoadClass[a4paper,12pt]{jarticle}
\DeclareOption*{\PassOptionsToPackage\CurrentOption{phd}}
%
% $B30OH$N%5%$%:(B
\newdimen\frameHeight\frameHeight=225mm
\newdimen\frameWidth\frameWidth=161mm
% $B30OHFb$NK\J8$N%^!<%8%s(B
\newdimen\frameInnerLeftMargin\frameInnerLeftMargin=10mm
\newdimen\frameInnerRightMargin\frameInnerRightMargin=5mm
\newdimen\frameInnerTopMargin\frameInnerTopMargin=10mm
\newdimen\frameInnerFootMargin\frameInnerFootMargin=10mm
% $BJ8=qL>$N9b$5(B
\newdimen\headHeight\headHeight=10mm
% $BMQ;f>eC<$+$i30OH$^$G$N5wN%(B($BJ8=q$K$h$C$FJQ$o$k!%0J2<$OO@J8L\O?MQ(B)
\newdimen\headSkip\headSkip=37mm
% $B:G=i$N%Z!<%8$N:G=i$NOH$N9b$5(B($BJ8=q$K$h$C$FJQ$o$k!%0J2<$OO@J8L\O?MQ(B)
\newdimen\firstRowHeight\firstRowHeight=21mm
%  $B!VJs9pHV9f!WOH$NI}(B
\newdimen\houkokuLength\houkokuLength=27.5mm
%  $B!V9CBh(B...$B9f!WOH$NI}(B
\newdimen\numberLength\numberLength=51mm
%  $B!V9CBh!W$H!V9f!W$N4V3V(B
\newdimen\numberSep\numberSep=20mm
%  $B!V;aL>!WOH$NI}(B
\newdimen\shimeiLength\shimeiLength=15.6mm
%  $BL>A0$r=q$/OH$NI}(B
\newdimen\nameLength\nameLength=66.7mm
% $B!V<gO@J8BjL>!WJ8;zNs$N0LCV(B($BO@J8L\O?MQ(B)
%   $BOH$N9b$5(B
\newdimen\titleHeight\titleHeight=52.5mm
%   $BOH$N:8$+$i$N0LCV(B
\newdimen\titleHeadHSep\titleHeadHSep=5.8mm
%   $B>e$N7S@~$+$i$N0LCV(B
\newdimen\titleHeadVSep\titleHeadVSep=8mm
% $B:G=i$N%Z!<%8$NK\J8$N3+;O0LCV(B($B30OH$N>e7S@~$+$i$N5wN%(B)
\newdimen\titlepagestart\titlepagestart=70mm
% $B30OH$N!$MQ;f:8C<$+$i$N5wN%(B
\newdimen\sidemargin\sidemargin=26mm
%
\def\headBox#1#2{%
  \hbox to#1{\hss\vbox to\firstRowHeight{\vss\hbox{#2}\vss}\hss\vrule}%
  }
\def\framePage{%
  \vbox{\hrule\hbox{\vrule%
      \vbox to\frameHeight{\vss\hbox to\frameWidth{\hss}}%
      \vrule}\hrule}%
  }
\def\ps@phd{%
  \def\@oddfoot{\relax}\def\@evenfoot{\relax}
  \def\@oddhead{\hbox to0pt{\vbox to\headHeight{\vskip\headHeight%
    \hbox{\hskip-\frameInnerLeftMargin\framePage}\vss}\hss}\hss}%
  \let\@evenhead\oddhead
  }
\def\ps@title{%
  \def\@evenhead{\relax}\def\@oddfoot{\relax}\def\@evenfoot{\relax}
  \def\@oddhead{\hbox to0pt{\vbox to \headHeight{%
    \hbox{\hskip-\frameInnerLeftMargin\firstPage}\vss}\hss}\hss}%
  }
\newdimen\@titlepagestart
\def\maketitle{%
  \thispagestyle{title}%
  \setlength{\@titlepagestart}{\titlepagestart}
  \addtolength{\@titlepagestart}{-\frameInnerTopMargin}
  \vspace*{\@titlepagestart}
  \noindent
  }
%
\pagestyle{phd}
%
%\setlength{\headheight}{\headHeight}
%\addtolength{\headheight}{\frameInnerTopMargin}
\voffset=-1in%
\setlength{\topmargin}{\headSkip}
\addtolength{\topmargin}{-\headHeight}
\setlength{\headsep}{\frameInnerTopMargin}
\setlength{\headheight}{\headHeight}
\setlength{\footskip}{0mm}
\setlength{\oddsidemargin}{\sidemargin}
\addtolength{\oddsidemargin}{-1in}
\addtolength{\oddsidemargin}{\frameInnerLeftMargin}
\setlength{\evensidemargin}{\oddsidemargin}
\setlength{\textwidth}{\frameWidth}
\addtolength{\textwidth}{-\frameInnerLeftMargin}
\addtolength{\textwidth}{-\frameInnerRightMargin}
\setlength{\textheight}{\frameHeight}
\addtolength{\textheight}{-\frameInnerTopMargin}
\addtolength{\textheight}{-\frameInnerFootMargin}
%
\newcommand\$B0J>e(B{
\nopagebreak
\vfill
\nopagebreak
\begin{flushright}
  $B0J(B\hspace{6mm}$B>e(B \hspace*{1cm}
\end{flushright}
}
%
\endinput
%
% End of phd.cls
%
