%%% $Id: vita.cls,v 1.7 1997/03/15 07:06:08 mad Exp $
%%%
%%% $B7D1~Bg3XM}9)3XItGn;NO@J8?=@A<TMQ(B $BMzNr=q%9%?%$%k%U%!%$%k(B
%%%
%%% $B$3$l$r;H$C$F5-=R$7$?MzNr=q$r(B A4 $B$K=PNO$7$F!$(BB5 $B$K=L>.%3%T!<$9$k$H!$(B
%%% $B65L3$+$iG[I[$5$l$k$b$N$H$[$\F1$8$K$J$j$^$9!%(B
%%%
%%% Written by MAEDA Atusi 1996-11-13
%%%
%%% $B;H$$J}(B:
%%%   \documentclass{vita}
%%%   $B$K$h$j!$$3$N%I%-%e%a%s%H%/%i%9$r;XDj$7$^$9!%(B
%%%
%%% preamble$BIt$K$F!$(B
%%%   \$B;aL>(B{$B@+(B}{$BL>(B}
%%%   \$B$U$j$,$J(B{$B$_$g$&$8(B}{$B$J$^$((B}
%%%   \$B@-JL(B{$B=w(B}$B$^$?$O(B\$B@-JL(B{$BCK(B}
%%%   \$B@8G/7nF|(B{$B><OB(B xx $BG/(B x $B7n(B xx $BF|(B}
%%%   \$BK\@RCO(B{$BETF;I\8)L>(B}
%%%   \$BM9JXHV9f(B{123}
%%%   \$B8==;=j(B{$B!{!{8)!_!_;T"$"$D.(B AA--BBB--C}
%%%   \$BEEOCHV9f(B{012--345--6789}
%%% $B$r@_Dj$7$F$*$-!$(B\begin{document}$B$N8e$K(B
%%%    \maketitle
%%% $B$r9T$J$&;v$G!$:G=i$N%Z!<%8$NOH$,$G$-$^$9!%(B
%%%
%%% $BK\J8Cf$G$O!$0J2<$N%3%^%s%I$,;H$($^$9!%(B
%%%
%%%   \headline{$B8+=P$7(B}
%%%     $B!V3XNr!W!$!V8&5fNr!W$J$I$N8+=P$7$r=PNO$9$k$N$K;H$$$^$9!%(B
%%%   \$B0J>e(B
%%%     $B1&C<$K!V0J>e!W$NJ8;z$r=PNO$7$^$9!%(B
%%%
%%% ($B$3$N%U%!%$%k$O$b$C$H2~NI$,I,MW(B)

\NeedsTeXFormat{pLaTeX2e}
\ProvidesClass{vita}[1997/3/15 $BMzNr=q(B]
\LoadClass{phd}
\DeclareOption*{\PassOptionsToPackage\CurrentOption{vita}}
%
% $B30OH$N%5%$%:(B
\frameHeight=244mm
\frameWidth=163mm
% $BJ8=qL>$N9b$5(B
\headHeight=8mm
% $BMQ;f>eC<$+$i30OH$^$G$N5wN%(B
\headSkip=31mm
% $B:G=i$N%Z!<%8$NK\J8$N3+;O0LCV(B($B30OH$N>e7S@~$+$i$N5wN%(B)
\titlepagestart=60mm
% $B30OH$N!$MQ;f:8C<$+$i$N5wN%(B
\sidemargin=30mm
%
\def\kintoubox#1#2{\hbox to #1{\spcfirst#2\end}}
\def\spcfirst#1{\ifx#1\end\let\next=\relax%
  \else%
    #1%
    \let\next=\spcloop%
  \fi%
  \next}%
\def\spcloop#1{\ifx#1\end\let\next=\relax%
  \else%
    \hss #1%
    \let\next=\spcloop%
  \fi%
  \next}%
%
\def\spcbox#1{\spcbfirst#1\end}
\def\spcbfirst#1{\ifx#1\end\let\next=\relax%
  \else%
    #1%
    \let\next=\spcbloop%
  \fi%
  \next}%
\def\spcbloop#1{\ifx#1\end\let\next=\relax%
  \else%
    \space #1%
    \let\next=\spcbloop%
  \fi%
  \next}%
%
\newdimen\leftcollength\leftcollength=30mm
\newdimen\houkokuheight\houkokuheight=11.5mm
\newdimen\bangouskip\bangouskip=4mm
\newdimen\nameheight\nameheight=15.5mm
\newdimen\namewidth\namewidth=109mm
\newdimen\sexwidth\sexwidth=22.5mm
\newdimen\birthheight\birthheight=14mm
\newdimen\birthdatelength\birthdatelength=60.5mm
\newdimen\honsekilength\honsekilength=16mm
\newdimen\birthplacelength\birthplacelength=55mm
\newdimen\addressheight\addressheight=14.5mm
\newdimen\addresswidth\addresswidth=132mm
\newdimen\historywidth\historywidth=127mm
\def\vpad#1#2{
  \vbox to#1{\vss\hbox{#2}\vss}
}
\def\hpad#1#2{
  \hbox to#1{\hss\hbox{#2}\hss}
}
%\def\rulebox#1#2#3{
%  \hbox to#1{\hss\vpad{#2}{#3}\hss\vrule}
%}
\def\rulebox#1#2#3{%
  \hbox{\vbox to#2{\vss\hbox to #1{\hss #3 \hss}\vss}\vrule}%
}%
\def\rulehbox#1#2{%
  \hbox to#1{\hss\hbox{#2}\hss\vrule}%
}%
%
\newdimen\@circlewidth
\settowidth{\@circlewidth}{$\bigcirc$}
\def\firstPage{%
  \vbox{%
    \vbox to \headHeight{%
      \hbox to\frameWidth{\hss{\Large $BMz(B\hspace{16mm}$BNr(B\hspace{16mm}$B=q(B}\hss}%
      \vss%
    }%
    \hbox {\vrule%
      \vbox to\frameHeight{%
        \hrule%
        \hbox to\frameWidth{%
          \rulebox{\leftcollength}{\houkokuheight}{$BJs9pHV9f(B}%
          \vpad{\houkokuheight}{\hskip\bangouskip $B9CBh(B {\hskip\numberSep}$B9f(B}%
          \hss%
        }%
        \hrule%
        \hbox to\frameWidth{%
          \hbox to \leftcollength{%
            \vbox to \nameheight{%
              \vss%
              \hpad{\leftcollength}{\small $B$U(B~$B$j(B~$B$,(B~$B$J(B}%
              \hpad{\leftcollength}{$B;a(B\hskip 10mm $BL>(B}%
              \vskip6mm%
            }%
          }%
          \vrule%
          \vbox to \nameheight{%
            \vss%
            \hbox to \namewidth{\small \hss\@familyyomi\hss\@givenyomi\hss%
				       \hskip\@circlewidth\hskip9mm}%
            \hbox to \namewidth{\hss\@familyname\hss\@givenname\hss%
				       \hbox{\makebox[\@circlewidth][c]{\scriptsize $B0u(B}%
					     \hskip-\@circlewidth$\bigcirc$}%
				       \hskip9mm}%
            \vskip6mm%
            }%
          \vrule%
          \hpad{\sexwidth}{\vpad{\nameheight}{\@sex}}%
          \hss%
        }%
        \hrule%
        \hbox to\frameWidth{%
          \rulebox{\leftcollength}{\birthheight}{$B@8G/7nF|(B}%
          \rulebox{\birthdatelength}{\birthheight}{\@birthdate}%
          \rulebox{\honsekilength}{\birthheight}{$BK\(B $B@R(B}%
          \vpad{\birthheight}{\hpad{\birthplacelength}{\@birthplace}}%
          \hss%
        }%
        \hrule%
        \hbox to\frameWidth{%
          \rulebox{\leftcollength}{\addressheight}{$B8==;=j(B}%
          \vbox to \addressheight{%
            \vss%
            \hbox to \addresswidth{\hskip4mm $B")(B\@zip\hss Tel. \@tel\hskip5mm}%
            \vss%
            \parbox{\addresswidth}{\@address}%
            \vss%
            }%
          \hss%
        }%
        \hrule%
        \vss%
        }%
      \vrule%
      }%
    \hrule width\frameWidth%
    }%
  }%
%
\def\$B;aL>(B#1#2{%
\gdef\@familyname{\kintoubox{15mm}{#1}}
\gdef\@givenname{\kintoubox{15mm}{#2}}
}
\def\$B$U$j$,$J(B#1#2{
\gdef\@familyyomi{\kintoubox{15mm}{#1}}
\gdef\@givenyomi{\kintoubox{15mm}{#2}}
}
\def\$B@-JL(B#1{
\gdef\@sex{#1}
}
\def\$B@8G/7nF|(B#1{
\gdef\@birthdate{#1}
}
\def\$BK\@RCO(B#1{
\gdef\@birthplace{\spcbox{#1}}
}
\def\$B8==;=j(B#1{
\gdef\@address{#1}
}
\def\$BM9JXHV9f(B#1{
\gdef\@zip{#1}
}
\def\$BEEOCHV9f(B#1{
\gdef\@tel{#1}
}
\def\@familyname{\ClassError{vita}{\noexpand\$B;aL>(B $B$,$J$$$h(B}{}}
\def\@familyyomi{\ClassError{vita}{\noexpand\$B$U$j$,$J(B $B$,$J$$$h(B}{}}
\def\@sex{\ClassError{vita}{\noexpand\$B@-JL(B $B$,$J$$$h(B}{}}
\def\@birthdate{\ClassError{vita}{\noexpand\$B@8G/7nF|(B $B$,$J$$$h(B}{}}
\def\@birthplace{\ClassError{vita}{\noexpand\$BK\@RCO(B $B$,$J$$$h(B}{}}
\def\@address{\ClassError{vita}{\noexpand\$B8==;=j(B $B$,$J$$$h(B}{}}
\def\@zip{\ClassError{vita}{\noexpand\$BM9JXHV9f(B $B$,$J$$$h(B}{}}
\def\@tel{\ClassError{vita}{\noexpand\$BEEOCHV9f(B $B$,$J$$$h(B}{}}

\setlength{\tabcolsep}{0pt}
\newenvironment{history}{
  \addtolength{\historywidth}{-\leftmargin}
  \begin{tabular}[t]{l@{ \ \ }p{\historywidth}}
}{
  \end{tabular}
}
%\newenvironment{history}{
%  \par
%  \begin{list}{}{
%    \setlength{\labelwidth}{10em}
%    \addtolength{\leftmargin}{10em}
%  }
%}{
%  \end{list}
%}
\newcommand{\headline}[1]{
  \vspace{\baselineskip}
  \hspace{-\frameInnerLeftMargin}
  {\bf #1}\par
}  
\endinput
%
% End of vita.cls
%
